import path_setting
from in_common.base_request import BaseRequest
import pytest

class send_reqest(BaseRequest):
    def __init__(self):
        self.data = self.api_load(path_setting.LOGIN_CONFIG)
        print(self.data)

    def login_passwd(self,current_city_id,phone,password,face_token=""):
        self.params["current_city_id"] = current_city_id
        self.params["phone"] = phone
        self.params["password"] = password
        self.params["face_token"] = face_token
        return self.api_send(self.data["password"])


if __name__ == '__main__':
    print(send_reqest().login_passwd("beijing", "17796839512", 123456, ""))
